Subject: Re: Impending publication: draft-iab-considerations-02.txt

From: Lloyd Wood <[email-masked]>
Date: Fri, 6 Sep 2002 11:56:03 +0100 (BST)

Couldn't this document be effectively combined with
draft-ymbk-arch-guidelines-05.txt
(also headed for informational)

to make a much more comprehensive document that starts frmo RFC1958
and builds up?

L.

On Thu, 5 Sep 2002, Leslie Daigle wrote:

> Date: Thu, 05 Sep 2002 18:34:06 -0400
> From: Leslie Daigle <[email-masked]>
> To: IETF-Announce:  ;
> Subject: Impending publication:  draft-iab-considerations-02.txt
>
> The IAB is ready to ask the IESG to publish
>
>             General Architectural and Policy Considerations
>                  draft-iab-considerations-02.txt
>
> as an Informational RFC.  This document is part survey of issues,
> and part advice for IETF protocol development.  The IAB would
> like to ensure that the IETF community has had an opportunity to
> read it and comment before its publication.
>
> The IAB solicits comments by September 20, 2002.  Please send
> comments to the IAB ([email-masked]), care of the document editor
> ([email-masked]), or to [email-masked].  The document can be
> found at
>
> http://www.ietf.org/internet-drafts/draft-iab-considerations-02.txt
>
>
> Leslie Daigle
> For the IAB
>
>

<http://www.ee.surrey.ac.uk/Personal/L.Wood/><[email-masked]>

---

From: Adam Roach <[email-masked]>
Date: Fri, 6 Sep 2002 12:49:51 -0500

I was not passing judgement on the guidance presented in
draft-tsvarea-sipchange. I was pointing out that a document
cited as a reference in draft-iab-considerations is
effectively contradicted. (My proposed solution was not
intended as an endorsement; it was based on what appeared
to be the most expedient way to address the inconsistency,
giving precedence to the more established document).

I also am not going to make a statement about your comments
themselves; however, I suggest that they would be most
productively directed to the authors of the draft-tsvarea-sipchange
document.

In any case, I assert that there is an inconsistency, and
that a prudent course of action would involve reaching
consensus on these issues before either document is published
as an RFC.

/a

> -----Original Message-----
> From: Robert Elz [mailto:[email-masked]]
> Sent: Friday, September 06, 2002 11:39
> To: Adam Roach
> Cc: [email-masked]'; [email-masked]'
> Subject: Re: Impending publication: draft-iab-considerations-02.txt 
> 
> 
>     Date:        Fri, 6 Sep 2002 10:11:01 -0500 
>     From:        Adam Roach <[email-masked]>
>     Message-ID:  
> <[email-masked]
> csoft.com>
> 
>   | On the topic of "P-" headers, however, there is still 
> guidance that
>   | such extensions require, at a minimum, publication as an RFC:
>   | 
>   |   "[A]ny P-header used outside of a very restricted 
> research or teaching
>   |    environment (such as a student lab on implementing 
> extensions) MUST
>   |    meet those requirements and MUST be documented in an 
> RFC and be IANA
>   |    registered."
> 
> This kind of text in any RFC (or other publication) is no more than an
> attempt at extortion.   Nothing published in an RFC can 
> possibly constrain
> what anyone else does, anywhere.   Believing otherwise is ludicrous.
> 
> We can constrain our own behaviour, since that's what we 
> control, so we
> could (assuming that we believe IANA is part of "us") specify 
> that IANA
> must not register a header unless it is documented in an RFC.   But we
> cannot tell people that they're not allowed to use such 
> things.   Or more
> correctly, of course we can tell them that, but without any 
> expectation
> that many of them will take us seriously.
> 
> Whether or not the IETF decides that it should adopt work 
> done by others
> (even just as much as re-publishing it for information) will 
> be something
> that should get decided on a case by case basis (or as agreed 
> with other
> bodies in appropriate circumstances), but pretending that the 
> IETF is the
> supreme lord of the universe, and everyone else must bow down to the
> pronouncements in RFCs (even in cases where IETF created technology is
> under discussion) is laughable.
> 
> kre
>

---

From: Sally Floyd <[email-masked]>
Date: Fri, 06 Sep 2002 16:52:36 -0700

Adam -

>I wanted to make a quick comment about some text in section
>12.1 of the draft cited below.

Many thanks.  (We heard from Dean Willis about this also.)
It was an error on our part, based on a now-out-of-date SIP document,
and we are changing it to say the following:

 Finally, outside standardization groups have been very active in
 providing the SIP working group with requirements. The Distributed
 Call Signaling (DCS) group from the PacketCable Consortium, 3GPP,
 and 3GPP2 are all using SIP for various telephony-related applications,
 and members of these groups have been involved in drafting requirements
 for SIP.
 In addition, there are extensions of SIP which
 are under consideration in these standardization bodies.
 Procedures are under development in the IETF to address proposed
 extensions to SIP, including a category of preliminary, private,
 or proprietary extensions, and to provide for the safe management
 of the SIP namespace [MBMWOR02].

It was certainly not our intention in Section 12.1 to be in any way
establishing policy, just to be describing how these issues are
currently being dealt with in the case of SIP.

- Sally